package com.th.demo.mapping.ware;

import com.th.demo.model.ware.OutRecord;
import com.th.demo.model.ware.TotalRecord;

import java.util.Date;
import java.util.List;

public interface OutRecordMapper {
    int deleteByPrimaryKey(String id);

    int insert(OutRecord record);

    int insertSelective(OutRecord record);

    OutRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(OutRecord record);

    int updateByPrimaryKey(OutRecord record);

    List<OutRecord>  select(String wareName, String stackName, String layer, String materialName, String standard, String customerName,
                            String plateNo, Date fromDate, Date toDate, String userId, String belongId, String carNo, String tallyPeople, String ordNo, String fkComponyName);
    List<OutRecord>  selectExpt(String wareName, String stackName, String layer, String materialName, String standard, String customerName,
                            String plateNo, Date fromDate, Date toDate, String userId, String belongId, String carNo, String tallyPeople,
                            String ordNo, String fkComponyName,String contractNo,List<String> plateNos);
    List<TotalRecord>  selectTotal(String wareName, String stackName, String layer, String materialName, String standard, String customerName,
                                   String plateNo, Date fromDate, Date toDate, String userId, String belongId, String carNo, String tallyPeople, String ordNo, String fkComponyName);

    int updateVerifyAccount(String id, String uuid);

    int savePriceMod(OutRecord rcd);

    void cleanVerifyInfo(String outRcdId);
}